<html>
<head>
<script type="text/javascript" src="italian.js"></script>
<script type="text/javascript">
//mocked functions
function importScripts(a,b,c,d){
}

function decypher(a, b){
    console.log("Decyphering " + a);
}

//mocked data
xa = ["aaa", "albero", "arte", "azzz"];
xb = ["bar", "barba", "bellissimo", "brusio", "bruttezza"];
xc = ["caa", "cartaccia", "crosta", "crostaceo", "czaesar"];
xe = ["emporio", "erto", "ezzelino"];
xf = ["faaa", "faschifo", "fiasco"];
xz = ["zagabria", "zebra"]
dict = [xa,xb,xc,xe,xf,xz];

//test
function testAll(){
    var sample_texts_likelihood = { "artista": 4, 
                                    "maschiaccio": 6,  
                                    "a-b-c": 0,
                                    "fiascaccio": 6
                                };

    var sample_text_complete = "Dedicadellautoreachiunquerisolvailmisteriosocrittogrammafuturistalasciatodallartistatullioalpinolobracciriusciremoasvelare";
    sample_text_complete += "larcanodelnostrantieroecamicianeradellaprimaoradiquelsognoitalianodelprimonovecento";

    var sample_rand_complete = "Dedicadellauerdsftupoioppposaazscvvccbvbmnvsssqqaeerttreiosidisicisiaisidopopoeeoeeosvbbghhmnigohpgohorotouiouasoqzcdfvgbnm";
    sample_rand_complete += "lamhgdretqttrettaaabffnamanabalaoparftarsfarsufiqdielprfmonoddddmnbebrnvnremlelleeto";

    var likelihood_div = "";
    Object.keys(sample_texts_likelihood).forEach(text => { 
        likelihood_div += "<br>" + text + ": " + calculateLikelihood(text, dict) + " (expected: " + sample_texts_likelihood[text] + ")"
    });

    document.getElementById("likelihood").innerHTML = likelihood_div;
    document.getElementById("sample_text").innerHTML = calculateLikelihood(sample_text_complete, italian_dictionary);
    document.getElementById("sample_random").innerHTML = calculateLikelihood(sample_rand_complete, italian_dictionary);

    InitPopulation(dict, 'crosta', decypher);
}


</script>
<script type="text/javascript" src="alphabet.js"></script>
<script type="text/javascript" src="ga.js"></script>
<script type="text/javascript" src="crypto.js"></script>

    </head>
<body onload="testAll();">
        <div id="likelihood"></div>
        <div id="sample_text"></div>
        <div id="sample_random"></div>
</body>
</html>
